---
schema_version: "1"
id: 481e29a03c18993911ec3c85d76ae113eea9d4543e9849c4d714f6b21993a544
title: Salesforce Commerce Payments API
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/salesforce-commerce/references/generated-api-specs/comm-ccs-payments-ref.md
canonical_url: https://developer.salesforce.com/docs/commerce/salesforce-commerce/references/comm-ccs-payments-ref
source_site: developer.salesforce.com
content_type: documentation
content_hash: 7bffa8edc3fe712b470b71be11eaec03e67084069d6274174ed5bd43d418c1e2
products:
  - B2B Commerce Developer Guide
  - Salesforce APIs
---
Salesforce Commerce Payments API

# Salesforce Commerce Payments API

Salesforce Commerce Payments API endpoints are available under /commerce/payments.

To access these resources, your org must have one or more of these licenses:

*   B2B Commerce, or D2C Commerce
*   Commerce Cloud Growth
*   Commerce Cloud Advanced
*   Collections and Financial Recovery
*   Revenue Cloud Billing
*   Salesforce Payments
*   Salesforce Order Management
*   Salesforce Pro Suite
*   Salesforce Foundations

These APIs are unavailable for Guest Users.

**Version:** 66.0

## Servers

*   `https://{yourinstance}.salesforce.com/services/data/{version}`
    *   `version (default v66.0): v66.0, v65.0, v64.0, v63.0, v62.0`

## Operations

### POST Authorize a payment.

`POST /commerce/payments/authorizations`

Operation ID: `authorizePayment`.

#### Request body

Media type: `application/json`. Schema: `AuthorizationInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AuthorizationOutputRepresentation`.
    

### POST Capture an authorized payment.

`POST /commerce/payments/authorizations/{authorizationId}/captures`

Operation ID: `capturePayment`.

#### Parameters

*   `authorizationId` (path, string, required) Unique ID associated with the payment authorization record.

#### Request body

Media type: `application/json`. Schema: `CaptureInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `CaptureOutputRepresentation`.
    

### POST Reverse an authorized payment.

`POST /commerce/payments/authorizations/{authorizationId}/reversals`

Operation ID: `reverseAuthorization`.

#### Parameters

*   `authorizationId` (path, string, required) Unique ID associated with the payment authorization record.

#### Request body

Media type: `application/json`. Schema: `AuthReversalInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AuthReversalOutputRepresentation`.
    

### POST Tokenize a payment method.

`POST /commerce/payments/payment-methods`

Operation ID: `tokenizePaymentMethod`.

#### Request body

Media type: `application/json`. Schema: `PaymentMethodTokenizationInputRepresentation`.

_Example: BankPaymentMethodTokenisationInput_ Tokenizes the BankPaymentMethod.

```
{
  "address": {
    "street": "415 Mission Street",
    "city": "San Francisco",
    "state": "CA",
    "postalCode": "94105",
    "country": "US"
  },
  "bankPaymentMethod": {
    "accountId": "001RM000005WOk0YAG",
    "accountNumber": "000123456789",
    "accountHolderType": "Individual",
    "bankType": "Ach",
    "accountHolderFirstName": "John",
    "accountHolderLastName": "Doe",
    "bankCode": "110000000",
    "nickName": "John Doe",
    "accountHolderName": "John Doe",
    "email": "johndoe@test.com",
    "autoPay": true,
    "standardEntryClassCode": "WEB",
    "accountType": "Savings"
  },
  "paymentGatewayId": "0b0xx0000000001XYZ"
}
```

_Example: CardPaymentMethodTokenisationInput_ Tokenizes the card payment method.

```
{
  "address": {
    "street": "415 Mission Street",
    "city": "San Francisco",
    "state": "CA",
    "postalCode": "94105",
    "country": "US"
  },
  "cardPaymentMethod": {
    "accountId": "001RM000005WOk0YAG",
    "cardHolderName": "John Doe",
    "autoPay": true,
    "expiryMonth": "10",
    "expiryYear": "2028",
    "startMonth": "10",
    "startYear": "2018",
    "cvv": "113",
    "cardNumber": "4242424242424242",
    "cardCategory": "CreditCard",
    "cardType": "visa",
    "nickName": "John",
    "cardHolderFirstName": "John",
    "cardHolderLastName": "Doe",
    "email": "johndoe@test.com"
  },
  "paymentGatewayId": "0b0xx0000000001XYZ"
}
```

_Example: GeneralTokenisationInput_ Tokenisation of the specified CardPaymentMethod or BankPaymentMethod (only one payment method can be used).

```
{
  "address": {},
  "bankPaymentMethod": {},
  "cardPaymentMethod": {},
  "paymentGatewayId": "paymentGatewayId"
}
```

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `PaymentMethodTokenizationOutputRepresentation`.
    

### POST Create a refund for a payment.

`POST /commerce/payments/payments/{paymentId}/refunds`

Operation ID: `createPaymentRefund`.

#### Parameters

*   `paymentId` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `ReferencedRefundInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `RefundServiceOutputRepresentation`.
    

### POST Confirm that the merchant is ready to capture payment of an existing pre-authorized transaction.

`POST /commerce/payments/postAuths`

Operation ID: `postAuthorize`.

#### Request body

Media type: `application/json`. Schema: `PostAuthInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `PostAuthOutputRepresentation`.
    

### POST Make a payment sale.

`POST /commerce/payments/sales`

Operation ID: `salePayment`.

#### Request body

Media type: `application/json`. Schema: `SaleInputRepresentation`.

_Example: EnhancedPaymentData_ Sale API with Enhanced Payment Data.

```
{
  "amount": "2472",
  "paymentGatewayId": "0b0PRD0000008XyAAI",
  "currencyIsoCode": "USD",
  "paymentGroup": {
    "createPaymentGroup": "true",
    "currencyIsoCode": "USD"
  },
  "paymentMethod": {
    "id": "12qPRD000002Z9kQAA"
  },
  "enhancedPaymentData": {
    "referenceId": "ORD-784512",
    "invoiceNumber": "INV-784512",
    "totalTaxAmount": "172",
    "shippingAmount": "250",
    "shipFromZip": "94105",
    "shipToZip": "10001",
    "shipToCountry": "US",
    "lineItems": [
      {
        "lineItemId": "LI-1001",
        "sku": "LTP-4500",
        "name": "Business Laptop Pro 14",
        "description": "14-inch business laptop with 16GB RAM and 512GB SSD",
        "quantity": 10,
        "taxAmount": 96,
        "unitPrice": 120,
        "uom": "EA",
        "commodityCode": "43211503",
        "discount": 100
      },
      {
        "lineItemId": "LI-1002",
        "sku": "MON-27UHD",
        "name": "27-inch 4K UHD Monitor",
        "description": "Ultra HD LED monitor with HDR support",
        "quantity": 5,
        "taxAmount": 76,
        "unitPrice": 200,
        "uom": "EA",
        "commodityCode": "43211902",
        "discount": 50
      }
    ]
  },
  "comments": "Authorization request for enterprise hardware order"
}
```

_Example: PaymentInitiationSource_ Sale API with Payment Initiation Source.

```
{
  "amount": 25,
  "paymentGatewayId": "{{pgid}}",
  "currencyIsoCode": "AUD",
  "paymentGroup": {
    "createPaymentGroup": true,
    "currencyIsoCode": "AUD"
  },
  "paymentInitiationSourceId": "1KCxx0000004CDsGAM",
  "accountId": "001SM00000GPtUqYAL",
  "paymentMethod": {
    "id": "{{pmId}}"
  },
  "comments": "Auth request."
}
```

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `SaleOutputRepresentation`.
    

## Schemas

### AuthorizationInputRepresentation

Payment authorization input consumed by the payment authorization service. service.

Includes all fields of `GatewayCallableBaseInputRepresentation`.

*   `accountId` (_string_) Required. Salesforce account that contains the payment transaction being authorized.
*   `paymentInitiationSource` (_PaymentInitiationSourceInputRepresentation_) Optional. Payment Initiation Source Input Representation for Auth Request
*   `amount` (_number (double)_) Required. Authorization amount.
*   `comments` (_string_) Optional. Comments for the payment authorization.
*   `currencyIsoCode` (_string_) Required, if multicurrency is enabled. Three-letter ISO 4217 currency code associated with the payment group record.
*   `effectiveDate` (_string_) Required. Date that the authorization will be applied to the transaction.
*   `paymentData` (_object_) Payment Data
    
    Additional properties: `string`.
    
*   `paymentGatewayId` (_string_) Required. Payment gateway that processes the authorization.
*   `paymentGroup` (_PaymentGroupInputRepresentation_)
*   `paymentMethod` (_AuthApiPaymentMethodInputRepresentation_)
*   `sourceObjects` (_array of string_) Source IDs for the sale transaction.

_Example_

```
{
  "accountId": "accountId",
  "paymentGatewayId": "paymentGatewayId",
  "amount": 0.8008281904610115,
  "comments": "comments",
  "paymentGroup": {},
  "paymentData": {
    "key": "paymentData"
  },
  "paymentMethod": {},
  "currencyIsoCode": "currencyIsoCode",
  "effectiveDate": "effectiveDate",
  "sourceObjects": [
    "sourceObjects",
    "sourceObjects"
  ]
}
```

### AuthorizationOutputRepresentation

Payment authorization output representation.

*   `error` (_ErrorResponseRepresentation_)
*   `gatewayResponse` (_AuthorizationGatewayResponseRepresentation_)
*   `paymentAuthorization` (_PaymentAuthorizationOutputRepresentation_)
*   `paymentGatewayLogs` (_array of GatewayLogOutputRepresentation_) Gateway Log list representation for Payment Authorization
*   `paymentGroup` (_PaymentGroupRepresentation_)
*   `paymentMethod` (_PaymentMethodOutputRepresentation_)
*   `isMultiCaptureSupported` (_boolean_) Indicates whether the authorization status from a payment gateway, such as Stripe, supports multiple captures (true) or not (false).

_Example_

```
{
  "paymentGatewayLogs": [
    {
      "gatewayResultCode": "gatewayResultCode",
      "createdDate": "createdDate",
      "id": "id",
      "interactionStatus": "interactionStatus"
    },
    {
      "gatewayResultCode": "gatewayResultCode",
      "createdDate": "createdDate",
      "id": "id",
      "interactionStatus": "interactionStatus"
    }
  ],
  "paymentAuthorization": {
    "accountId": "accountId",
    "amount": 0.8008281904610115,
    "requestDate": "requestDate",
    "currencyIsoCode": "currencyIsoCode",
    "id": "id",
    "effectiveDate": "effectiveDate",
    "expirationDate": "expirationDate",
    "paymentAuthorizationNumber": "paymentAuthorizationNumber",
    "status": "status"
  },
  "gatewayResponse": {
    "gatewayAuthorizationCode": "gatewayAuthorizationCode"
  },
  "paymentGroup": {
    "sourceObjectId": "sourceObjectId",
    "currencyIsoCode": "currencyIsoCode",
    "id": "id"
  },
  "paymentMethod": {
    "accountId": "accountId",
    "paymentMethodDetails": {
      "digitalWallet": {
        "accountId": "accountId",
        "comments": "comments",
        "name": "name",
        "gatewayTokenDetails": "gatewayTokenDetails",
        "gatewayToken": "gatewayToken",
        "paymentMethodType": "Ach",
        "email": "email"
      },
      "alternativePaymentMethod": {
        "accountId": "accountId",
        "comments": "comments",
        "name": "name",
        "gatewayTokenDetails": "gatewayTokenDetails",
        "paymentMethodDetails": "paymentMethodDetails",
        "gatewayToken": "gatewayToken",
        "paymentMethodSubType": "paymentMethodSubType",
        "type": "type",
        "paymentMethodType": "Ach",
        "email": "email"
      },
      "cardPaymentMethod": {
        "autoPay": true,
        "comments": "comments",
        "cardHolderName": "cardHolderName",
        "startMonth": 5,
        "nickName": "nickName",
        "cardType": "cardType",
        "expiryMonth": 6,
        "startYear": 5,
        "cardCategory": "CreditCard",
        "cardHolderLastName": "cardHolderLastName",
        "displayCardNumber": "displayCardNumber",
        "expiryYear": 1,
        "cardLastFour": "cardLastFour",
        "accountId": "accountId",
        "cardBin": "cardBin",
        "cardTypeCategory": "AmericanExpress",
        "paymentMethodDetails": "paymentMethodDetails",
        "paymentMethodSubType": "paymentMethodSubType",
        "paymentMethodType": "Ach",
        "cardHolderFirstName": "cardHolderFirstName",
        "email": "email"
      }
    },
    "id": "id",
    "status": "status"
  },
  "error": {},
  "isMultiCaptureSupported": true
}
```

### CaptureInputRepresentation

Payment capture input consumed by payment capture service.

Includes all fields of `GatewayCallableBaseInputRepresentation`.

*   `accountId` (_string_) Optional. ID of the account that must be linked to this capture request.
*   `amount` (_number (double)_) Required. Amount that must be captured.
*   `clientContext` (_string_) Optional. Specifies the context for payment APIs. Used for a payment caller to reestablish context.
*   `comments` (_string_) Optional. Specifies comments for payment capture request.
*   `effectiveDate` (_string_) Optional. Date that the payment becomes effective.
*   `paymentAuthorizationId` (_string_) Unique ID associated with the payment authorization record.
*   `paymentGroup` (_PaymentGroupInputRepresentation_)
*   `isFinalCapture` (_boolean_) Optional. Indicates whether the current capture payment transaction is the final request (true) or not (false). Default value is false, but it also depends on the cardType associated with the payment authorization.

_Example_

```
{
  "clientContext": "clientContext",
  "accountId": "accountId",
  "amount": 0.8008281904610115,
  "comments": "comments",
  "paymentAuthorizationId": "paymentAuthorizationId",
  "paymentGroup": {},
  "effectiveDate": "effectiveDate",
  "isFinalCapture": false
}
```

### CaptureOutputRepresentation

Capture output representation.

*   `error` (_ErrorResponseRepresentation_)
*   `gatewayResponse` (_CaptureGatewayResponseRepresentation_)
*   `payment` (_PaymentOutputRepresentation_)
*   `paymentGatewayLogs` (_array of GatewayLogOutputRepresentation_) Gateway Log Collection Representation for Auth Capture
*   `paymentGroup` (_PaymentGroupRepresentation_)

_Example_

```
{
  "paymentGatewayLogs": [
    {
      "gatewayResultCode": "gatewayResultCode",
      "createdDate": "createdDate",
      "id": "id",
      "interactionStatus": "interactionStatus"
    },
    {
      "gatewayResultCode": "gatewayResultCode",
      "createdDate": "createdDate",
      "id": "id",
      "interactionStatus": "interactionStatus"
    }
  ],
  "gatewayResponse": {},
  "paymentGroup": {
    "sourceObjectId": "sourceObjectId",
    "currencyIsoCode": "currencyIsoCode",
    "id": "id"
  },
  "payment": {
    "accountId": "accountId",
    "amount": 0.8008281904610115,
    "requestDate": "requestDate",
    "currencyIsoCode": "currencyIsoCode",
    "id": "id",
    "effectiveDate": "effectiveDate",
    "paymentNumber": "paymentNumber",
    "status": "status"
  },
  "error": {}
}
```

### AuthReversalInputRepresentation

Authorization reversal input consumed by authorization reversal service. service.

Includes all fields of `GatewayCallableBaseInputRepresentation`.

*   `accountId` (_string_) Optional. Account for the payment authorization reversal. Must match the payment authorization's account.
*   `amount` (_number (double)_) Required. Amount of adjustment applied to the payment authorization.
*   `comments` (_string_) Optional. Users can add comments to provide additional details about a record. Maximum of 1,000 characters.
*   `effectiveDate` (_string_) Required. Date that the adjustment takes effect on the authorization.
*   `paymentAuthorizationId` (_string_) Optional. Payment authorization ID to be used if needed to fund the exchange order.

_Example_

```
{
  "accountId": "accountId",
  "amount": 0.8008281904610115,
  "comments": "comments",
  "paymentAuthorizationId": "paymentAuthorizationId",
  "effectiveDate": "effectiveDate"
}
```

### AuthReversalOutputRepresentation

Authorization reversal output representation.

*   `error` (_ErrorResponseRepresentation_)
*   `gatewayResponse` (_AuthReversalGatewayResponseRepresentation_)
*   `paymentAuthAdjustment` (_AuthAdjustmentOutputRepresentation_)
*   `paymentGatewayLogs` (_array of GatewayLogOutputRepresentation_) Gateway Log Collection Representation for Auth Reversal

_Example_

```
{
  "paymentGatewayLogs": [
    {
      "gatewayResultCode": "gatewayResultCode",
      "createdDate": "createdDate",
      "id": "id",
      "interactionStatus": "interactionStatus"
    },
    {
      "gatewayResultCode": "gatewayResultCode",
      "createdDate": "createdDate",
      "id": "id",
      "interactionStatus": "interactionStatus"
    }
  ],
  "gatewayResponse": {},
  "error": {},
  "paymentAuthAdjustment": {
    "accountId": "accountId",
    "amount": 0.8008281904610115,
    "paymentAuthAdjustmentNumber": "paymentAuthAdjustmentNumber",
    "requestDate": "requestDate",
    "currencyIsoCode": "currencyIsoCode",
    "id": "id",
    "effectiveDate": "effectiveDate",
    "status": "status"
  }
}
```

### PaymentMethodTokenizationInputRepresentation

Represents the payment method tokenization input that is processed by the payment tokenization service.

Includes all fields of `GatewayCallableBaseInputRepresentation`.

*   `address` (_AddressInputRepresentation_)
*   `cardPaymentMethod` (_CardPaymentMethodInputRepresentation_)
*   `bankPaymentMethod` (_BankPaymentMethodInputRepresentation_)
*   `paymentGatewayId` (_string_) Required. ID of the payment gateway.

_Example_

```
{
  "BankPaymentMethodTokenisation": {
    "summary": "Tokenisation for the BankPaymentMethod.",
    "value": {
      "address": {
        "city": "San Francisco",
        "country": "US",
        "postalCode": "94105",
        "state": "CA",
        "street": "415 Mission Street"
      },
      "bankPaymentMethod": {
        "accountHolderFirstName": "John",
        "accountHolderLastName": "Doe",
        "accountHolderName": "John Doe",
        "accountHolderType": "Individual",
        "accountId": "001RM000005WOk0YAG",
        "accountNumber": 123456789,
        "accountType": "Savings",
        "autoPay": true,
        "bankCode": "110000000",
        "bankType": "Ach",
        "email": "johndoe@test.com",
        "nickName": "John Doe",
        "standardEntryClassCode": "WEB"
      },
      "paymentGatewayId": "0b0xx0000000001XYZ"
    }
  },
  "CardPaymentMethodTokenisation": {
    "summary": "Tokenisation for the CardPaymentMethod.",
    "value": {
      "address": {
        "city": "San Francisco",
        "country": "US",
        "postalCode": "94105",
        "state": "CA",
        "street": "415 Mission Street"
      },
      "cardPaymentMethod": {
        "accountId": "001RM000005WOk0YAG",
        "autoPay": true,
        "cardCategory": "CreditCard",
        "cardHolderFirstName": "John",
        "cardHolderLastName": "Doe",
        "cardHolderName": "John Doe",
        "cardNumber": "4242424242424242",
        "cardType": "visa",
        "cvv": "113",
        "email": "johndoe@test.com",
        "expiryMonth": "10",
        "expiryYear": "2028",
        "nickName": "John",
        "startMonth": "10",
        "startYear": "2018"
      },
      "paymentGatewayId": "0b0xx0000000001XYZ"
    }
  },
  "GeneralTokenisation": {
    "summary": "Tokenisation for the given CardPaymentMethod or BankPaymentMethod(Only one PaymentMethod can be used).",
    "value": {
      "address": {},
      "bankPaymentMethod": {},
      "cardPaymentMethod": {},
      "paymentGatewayId": "paymentGatewayId"
    }
  }
}
```

### PaymentMethodTokenizationOutputRepresentation

Payment method tokenization output representation.

*   `error` (_ErrorResponseRepresentation_)
*   `gatewayResponse` (_PaymentMethodTokenizationGatewayResponseRepresentation_)
*   `paymentGatewayLogs` (_array of GatewayLogOutputRepresentation_) Payment gateway log response containing details of the PaymentGatewayLog entity records created during the processing of the sale request.
*   `paymentMethod` (_PaymentMethodOutputRepresentation_)

_Example_

```
{
  "paymentGatewayLogs": [
    {
      "gatewayResultCode": "gatewayResultCode",
      "createdDate": "createdDate",
      "id": "id",
      "interactionStatus": "interactionStatus"
    },
    {
      "gatewayResultCode": "gatewayResultCode",
      "createdDate": "createdDate",
      "id": "id",
      "interactionStatus": "interactionStatus"
    }
  ],
  "gatewayResponse": {
    "gatewayResultCode": "gatewayResultCode",
    "gatewayResultCodeDescription": "gatewayResultCodeDescription",
    "salesforceResultCode": "salesforceResultCode",
    "gatewayAvsCode": "gatewayAvsCode",
    "gatewayDate": "gatewayDate",
    "gatewayToken": "gatewayToken",
    "gatewayMessage": "gatewayMessage"
  },
  "paymentMethod": {
    "accountId": "accountId",
    "paymentMethodDetails": {
      "digitalWallet": {
        "accountId": "accountId",
        "comments": "comments",
        "name": "name",
        "gatewayTokenDetails": "gatewayTokenDetails",
        "gatewayToken": "gatewayToken",
        "paymentMethodType": "Ach",
        "email": "email"
      },
      "alternativePaymentMethod": {
        "accountId": "accountId",
        "comments": "comments",
        "name": "name",
        "gatewayTokenDetails": "gatewayTokenDetails",
        "paymentMethodDetails": "paymentMethodDetails",
        "gatewayToken": "gatewayToken",
        "paymentMethodSubType": "paymentMethodSubType",
        "type": "type",
        "paymentMethodType": "Ach",
        "email": "email"
      },
      "cardPaymentMethod": {
        "autoPay": true,
        "comments": "comments",
        "cardHolderName": "cardHolderName",
        "startMonth": 5,
        "nickName": "nickName",
        "cardType": "cardType",
        "expiryMonth": 6,
        "startYear": 5,
        "cardCategory": "CreditCard",
        "cardHolderLastName": "cardHolderLastName",
        "displayCardNumber": "displayCardNumber",
        "expiryYear": 1,
        "cardLastFour": "cardLastFour",
        "accountId": "accountId",
        "cardBin": "cardBin",
        "cardTypeCategory": "AmericanExpress",
        "paymentMethodDetails": "paymentMethodDetails",
        "paymentMethodSubType": "paymentMethodSubType",
        "paymentMethodType": "Ach",
        "cardHolderFirstName": "cardHolderFirstName",
        "email": "email"
      },
      "bankPaymentMethod": {
        "accountId": "01xx00000HGJHG",
        "bankType": "ACH",
        "autoPay": false,
        "email": "email@email.com",
        "comments": "comments",
        "accountHolderType": "Individual",
        "accountType": "Savings",
        "lastFour": "4444",
        "bankCode": "21312311123",
        "standardEntryClassCode": "WEB",
        "savedPaymentMethodId": "12qxx000002pmkqAAA",
        "bankName": "ACH Bank",
        "name": null,
        "gatewayTokenDetails": "gatewayTokenDetails",
        "gatewayToken": "gatewayToken"
      }
    },
    "id": "id",
    "status": "status"
  },
  "error": {}
}
```

### ReferencedRefundInputRepresentation

Referenced refund input representation.

Includes all fields of `RefundInputRepresentation`.

*   `accountId` (_string_) Optional. ID of the account which must be linked to this referenced refund request.
*   `amount` (_number (double)_) Required. Amount that must be refunded.
*   `clientContext` (_string_) Optional. Provides context for payment APIs. Used for a payment caller to reestablish context.
*   `comments` (_string_) Optional. Comments for the refund.
*   `effectiveDate` (_string_) Optional. Date that the refund becomes effective.
*   `paymentGroup` (_PaymentGroupInputRepresentation_)
*   `paymentId` (_string_) Required. ID of the payment record.

_Example_

```
{
  "clientContext": "clientContext",
  "accountId": "accountId",
  "amount": 0.8008281904610115,
  "comments": "comments",
  "paymentId": "paymentId",
  "paymentGroup": {},
  "effectiveDate": "effectiveDate"
}
```

### RefundServiceOutputRepresentation

Refund comprehensive output representation.

*   `error` (_ErrorResponseRepresentation_)
*   `gatewayResponse` (_RefundGatewayResponseRepresentation_)
*   `paymentGatewayLogs` (_array of GatewayLogOutputRepresentation_) Gateway log collection representation for a refund.
*   `paymentGroup` (_PaymentGroupRepresentation_)
*   `refund` (_RefundOutputRepresentation_)

_Example_

```
{
  "paymentGatewayLogs": [
    {
      "gatewayResultCode": "gatewayResultCode",
      "createdDate": "createdDate",
      "id": "id",
      "interactionStatus": "interactionStatus"
    },
    {
      "gatewayResultCode": "gatewayResultCode",
      "createdDate": "createdDate",
      "id": "id",
      "interactionStatus": "interactionStatus"
    }
  ],
  "gatewayResponse": {},
  "paymentGroup": {
    "sourceObjectId": "sourceObjectId",
    "currencyIsoCode": "currencyIsoCode",
    "id": "id"
  },
  "error": {},
  "refund": {
    "accountId": "accountId",
    "amount": 0.8008281904610115,
    "requestDate": "requestDate",
    "currencyIsoCode": "currencyIsoCode",
    "id": "id",
    "effectiveDate": "effectiveDate",
    "refundNumber": "refundNumber",
    "status": "status"
  }
}
```

### PostAuthInputRepresentation

Payment post authorization input consumed by payment post authorization service. service.

Includes all fields of `GatewayCallableBaseInputRepresentation`.

*   `accountId` (_string_) Required. ID of the account of the customer for the authorized payment.
*   `amount` (_number (double)_) Required. Amount of the post authorization.
*   `comments` (_string_) Optional. Comments for payment post authorization. Maximum of 1000 characters.
*   `currencyIsoCode` (_string_) Optional. Three-letter ISO 4217 currency code associated with the payment group record.
*   `effectiveDate` (_string_) Required. Date that the payment post authorization occurs.
*   `paymentData` (_object_) Required. Payment Data to be used for this post authorization.
    
    Additional properties: `string`.
    
*   `paymentGatewayId` (_string_) Required. Payment gateway that evaluates the post authorization.
*   `paymentGroup` (_PaymentGroupInputRepresentation_)
*   `paymentMethod` (_PostAuthApiPaymentMethodInputRepresentation_)
*   `sourceObjects` (_array of string_) Source IDs for the sale transaction. This list is validated only against the native payment gateway (for example, a PayPal response).

_Example_

```
{
  "accountId": "accountId",
  "paymentGatewayId": "paymentGatewayId",
  "amount": 0.8008281904610115,
  "comments": "comments",
  "paymentGroup": {},
  "paymentData": {
    "key": "paymentData"
  },
  "paymentMethod": {},
  "currencyIsoCode": "currencyIsoCode",
  "effectiveDate": "effectiveDate",
  "sourceObjects": [
    "sourceObjects",
    "sourceObjects"
  ]
}
```

### PostAuthOutputRepresentation

Payment post authorization output.

*   `error` (_ErrorResponseRepresentation_)
*   `gatewayResponse` (_PostAuthGatewayResponseRepresentation_)
*   `payment` (_PaymentOutputRepresentation_)
*   `paymentAuthorization` (_PaymentAuthorizationOutputRepresentation_)
*   `paymentGatewayLogs` (_array of GatewayLogOutputRepresentation_) Gateway Log list representation for Payment Authorization
*   `paymentGroup` (_PaymentGroupRepresentation_)
*   `paymentMethod` (_PaymentMethodOutputRepresentation_)
*   `savedPaymentMethodStatus` (_string_) Saved payment method status.  
    Allowed values: `AlreadyExists`, `Created`, `Updated`.

_Example_

```
{
  "paymentGatewayLogs": [
    {
      "gatewayResultCode": "gatewayResultCode",
      "createdDate": "createdDate",
      "id": "id",
      "interactionStatus": "interactionStatus"
    },
    {
      "gatewayResultCode": "gatewayResultCode",
      "createdDate": "createdDate",
      "id": "id",
      "interactionStatus": "interactionStatus"
    }
  ],
  "paymentAuthorization": {
    "accountId": "accountId",
    "amount": 0.8008281904610115,
    "requestDate": "requestDate",
    "currencyIsoCode": "currencyIsoCode",
    "id": "id",
    "effectiveDate": "effectiveDate",
    "expirationDate": "expirationDate",
    "paymentAuthorizationNumber": "paymentAuthorizationNumber",
    "status": "status"
  },
  "gatewayResponse": {
    "gatewayAuthorizationCode": "gatewayAuthorizationCode",
    "paymentMethodDetails": {
      "digitalWallet": {
        "accountId": "accountId",
        "comments": "comments",
        "name": "name",
        "gatewayTokenDetails": "gatewayTokenDetails",
        "gatewayToken": "gatewayToken",
        "paymentMethodType": "Ach",
        "email": "email"
      },
      "alternativePaymentMethod": {
        "accountId": "accountId",
        "comments": "comments",
        "name": "name",
        "gatewayTokenDetails": "gatewayTokenDetails",
        "paymentMethodDetails": "paymentMethodDetails",
        "gatewayToken": "gatewayToken",
        "paymentMethodSubType": "paymentMethodSubType",
        "type": "type",
        "paymentMethodType": "Ach",
        "email": "email"
      },
      "cardPaymentMethod": {
        "autoPay": true,
        "comments": "comments",
        "cardHolderName": "cardHolderName",
        "startMonth": 5,
        "nickName": "nickName",
        "cardType": "cardType",
        "expiryMonth": 6,
        "startYear": 5,
        "cardCategory": "CreditCard",
        "cardHolderLastName": "cardHolderLastName",
        "displayCardNumber": "displayCardNumber",
        "expiryYear": 1,
        "cardLastFour": "cardLastFour",
        "accountId": "accountId",
        "cardBin": "cardBin",
        "cardTypeCategory": "AmericanExpress",
        "paymentMethodDetails": "paymentMethodDetails",
        "paymentMethodSubType": "paymentMethodSubType",
        "paymentMethodType": "Ach",
        "cardHolderFirstName": "cardHolderFirstName",
        "email": "email"
      }
    }
  },
  "paymentGroup": {
    "sourceObjectId": "sourceObjectId",
    "currencyIsoCode": "currencyIsoCode",
    "id": "id"
  },
  "paymentMethod": {
    "accountId": "accountId",
    "paymentMethodDetails": {
      "digitalWallet": {
        "accountId": "accountId",
        "comments": "comments",
        "name": "name",
        "gatewayTokenDetails": "gatewayTokenDetails",
        "gatewayToken": "gatewayToken",
        "paymentMethodType": "Ach",
        "email": "email"
      },
      "alternativePaymentMethod": {
        "accountId": "accountId",
        "comments": "comments",
        "name": "name",
        "gatewayTokenDetails": "gatewayTokenDetails",
        "paymentMethodDetails": "paymentMethodDetails",
        "gatewayToken": "gatewayToken",
        "paymentMethodSubType": "paymentMethodSubType",
        "type": "type",
        "paymentMethodType": "Ach",
        "email": "email"
      },
      "cardPaymentMethod": {
        "autoPay": true,
        "comments": "comments",
        "cardHolderName": "cardHolderName",
        "startMonth": 5,
        "nickName": "nickName",
        "cardType": "cardType",
        "expiryMonth": 6,
        "startYear": 5,
        "cardCategory": "CreditCard",
        "cardHolderLastName": "cardHolderLastName",
        "displayCardNumber": "displayCardNumber",
        "expiryYear": 1,
        "cardLastFour": "cardLastFour",
        "accountId": "accountId",
        "cardBin": "cardBin",
        "cardTypeCategory": "AmericanExpress",
        "paymentMethodDetails": "paymentMethodDetails",
        "paymentMethodSubType": "paymentMethodSubType",
        "paymentMethodType": "Ach",
        "cardHolderFirstName": "cardHolderFirstName",
        "email": "email"
      }
    },
    "id": "id",
    "status": "status"
  },
  "savedPaymentMethodStatus": "AlreadyExists",
  "payment": {
    "accountId": "accountId",
    "amount": 0.8008281904610115,
    "requestDate": "requestDate",
    "currencyIsoCode": "currencyIsoCode",
    "id": "id",
    "effectiveDate": "effectiveDate",
    "paymentNumber": "paymentNumber",
    "status": "status"
  },
  "error": {}
}
```

### SaleInputRepresentation

Payment Sale input consumed by the payment sale service.

Includes all fields of `GatewayCallableBaseInputRepresentation`.

*   `accountId` (_string_) Optional. Salesforce account that contains the payment for the sale request.
*   `paymentInitiationSource` (_PaymentInitiationSourceInputRepresentation_) Optional. Payment initiation source representation for sale request.
*   `paymentInitiationSourceId` (_any_)
    
    ID of the source that initiated the payment.
    
    Specify if `paymentInitiationSource` isn't provided. Supported only for third-party payment gateways; not supported for native payments. See [PaymentInitiationSource](https://developer.salesforce.com/docs/atlas.en-us.object_reference.meta/object_reference/sforce_api_objects_paymentinitiationsource.htm) object documentation for more information.
    
*   `amount` (_number (double)_) Required. Amount of the sale.
*   `comments` (_string_) Optional. Comments for the payment sale request.
*   `currencyIsoCode` (_string_) Required, if multi-currency is enabled. A three-letter ISO 4217 currency code associated with the payment group record.
*   `enhancedPaymentData` (_EnhancedPaymentDataInputRepresentation_)
*   `effectiveDate` (_string_) Optional. The date that the sale request takes effect.
*   `paymentData` (_object_) Required. Payment data for a payment sale transaction.
    
    Additional properties: `string`.
    
*   `paymentGatewayId` (_string_) Required. The gateway that evaluates the payment sale request.
*   `paymentGroup` (_PaymentGroupInputRepresentation_)
*   `paymentMethod` (_SaleApiPaymentMethodInputRepresentation_)
*   `sourceObjects` (_array of string_) Source IDs for the sale transaction.

### SaleOutputRepresentation

Payment sale output.

*   `error` (_ErrorResponseRepresentation_)
*   `gatewayResponse` (_SaleGatewayResponseRepresentation_)
*   `payment` (_PaymentOutputRepresentation_)
*   `paymentGatewayLogs` (_array of GatewayLogOutputRepresentation_) Payment gateway log response containing details of the PaymentGatewayLog entity records created during the processing of the sale request.
*   `paymentGroup` (_PaymentGroupRepresentation_)
*   `paymentMethod` (_PaymentMethodOutputRepresentation_)

_Example_

```
{
  "paymentGatewayLogs": [
    {
      "gatewayResultCode": "gatewayResultCode",
      "createdDate": "createdDate",
      "id": "id",
      "interactionStatus": "interactionStatus"
    },
    {
      "gatewayResultCode": "gatewayResultCode",
      "createdDate": "createdDate",
      "id": "id",
      "interactionStatus": "interactionStatus"
    }
  ],
  "gatewayResponse": {},
  "paymentGroup": {
    "sourceObjectId": "sourceObjectId",
    "currencyIsoCode": "currencyIsoCode",
    "id": "id"
  },
  "paymentMethod": {
    "accountId": "accountId",
    "paymentMethodDetails": {
      "digitalWallet": {
        "accountId": "accountId",
        "comments": "comments",
        "name": "name",
        "gatewayTokenDetails": "gatewayTokenDetails",
        "gatewayToken": "gatewayToken",
        "paymentMethodType": "Ach",
        "email": "email"
      },
      "alternativePaymentMethod": {
        "accountId": "accountId",
        "comments": "comments",
        "name": "name",
        "gatewayTokenDetails": "gatewayTokenDetails",
        "paymentMethodDetails": "paymentMethodDetails",
        "gatewayToken": "gatewayToken",
        "paymentMethodSubType": "paymentMethodSubType",
        "type": "type",
        "paymentMethodType": "Ach",
        "email": "email"
      },
      "cardPaymentMethod": {
        "autoPay": true,
        "comments": "comments",
        "cardHolderName": "cardHolderName",
        "startMonth": 5,
        "nickName": "nickName",
        "cardType": "cardType",
        "expiryMonth": 6,
        "startYear": 5,
        "cardCategory": "CreditCard",
        "cardHolderLastName": "cardHolderLastName",
        "displayCardNumber": "displayCardNumber",
        "expiryYear": 1,
        "cardLastFour": "cardLastFour",
        "accountId": "accountId",
        "cardBin": "cardBin",
        "cardTypeCategory": "AmericanExpress",
        "paymentMethodDetails": "paymentMethodDetails",
        "paymentMethodSubType": "paymentMethodSubType",
        "paymentMethodType": "Ach",
        "cardHolderFirstName": "cardHolderFirstName",
        "email": "email"
      },
      "bankPaymentMethod": {
        "accountId": "01xx00000HGJHG",
        "bankType": "ACH",
        "accountHolderFirstName": "John",
        "accountHolderLastName": "Doe",
        "autoPay": false,
        "email": "email@email.com",
        "nickName": "John's ACH",
        "comments": "comments",
        "accountHolderType": "Individual",
        "accountNumberLastFour": "4444"
      }
    },
    "id": "id",
    "status": "status"
  },
  "payment": {
    "accountId": "accountId",
    "amount": 0.8008281904610115,
    "requestDate": "requestDate",
    "currencyIsoCode": "currencyIsoCode",
    "id": "id",
    "effectiveDate": "effectiveDate",
    "paymentNumber": "paymentNumber",
    "status": "status"
  },
  "error": {}
}
```

### GatewayCallableBaseInputRepresentation

Base request parameters input representation.

Includes all fields of `AuditParamsInputRepresentation`.

*   `additionalData` (_object_) Optional. Additional data from a payment request. Supports up to five key-value pairs. Each key and each value can contain up to 255 characters.
    
    Additional properties: `string`.
    
*   `duplicate` (_boolean_) Reserved for internal use.
*   `idempotencyKey` (_string_) Optional. Idempotency key used for the payment request. The key can be in the payload or the header but not both.

### PaymentInitiationSourceInputRepresentation

Input Representation for Payment Initiation Source.

*   `application` (_object_) Application that initiated this payment, such as Revenue Lifecycle Management (RLM).
    
    Includes all fields of `Application`.
    
*   `channel` (_string_) Channel that submitted the payment.
*   `process` (_string_) Process or component of the application that submitted the payment, such as the Billing component of RLM.
*   `orderSummary` (_string_) Reference to Order Summary linked to this payment.
*   `opportunity` (_string_) Reference to Opportunity that initiated this payment.
*   `serviceAppointment` (_string_) Reference to Service Appointment that initiated this payment.
*   `workOrder` (_string_) Reference to Work Order that initiated this payment.
*   `workOrderLineItem` (_string_) Reference to Work Order Line Item that initiated this payment.
*   `quote` (_string_) Reference to Quote that initiated this payment.
*   `initiatingAccount` (_string_) Reference to account that initiated this payment.
*   `initiatingContact` (_string_) Reference to Contact that initiated this payment.
*   `webStore` (_string_) Reference to WebStore that initiated this payment.
*   `webCart` (_string_) Reference to WebCart that initiated this payment.
*   `site` (_string_) Reference to the Site that initiated this payment.
*   `collectionPlan` (_string_) Reference to the CollectionPlan that initiated this payment.
*   `customFields` (_object_) Wraps a map of custom field name and id.
    
    Includes all fields of `CustomFieldInputRepresentation`.
    

### PaymentGroupInputRepresentation

Payment group details associated with the request. Users can either request creation of a new ID or pass an ID.

*   `createPaymentGroup` (_boolean_) Indicates whether payment group needs to be created (true) or not (false).
*   `currencyIsoCode` (_string_) Three-letter ISO 4217 currency code associated with the payment group record.
*   `id` (_string_) If ID has a value, the payment capture is using an active PaymentGroup. If ID is null and other parameters have values, the payment capture will create a new payment group. If a payment group ID exists, currencyIsoCode and sourceObjectId parameters must be null, and createPaymentGroup can be absent or false.
*   `sourceObjectId` (_string_) ID of the Order object for linking an order to a payment group. Provide an existing OrderId.
*   `uuid` (_string_) Unique ID to refer payment intent.

### AuthApiPaymentMethodInputRepresentation

Payment method input representation for authorization.

Includes all fields of `BaseApiPaymentMethodInputRepresentation`.

*   `cardPaymentMethod` (_CardPaymentMethodInputRepresentation_)

### ErrorResponseRepresentation

Error response following a failed payment method tokenization request.

*   `errorCode` (_string_) Error code.
*   `errorMessage` (_string_) Message stating the reason for error, if any.

### AuthorizationGatewayResponseRepresentation

Response returned by the payment gateway following an authorization request from the payment gateway adapter.

Includes all fields of `AbstractGatewayTxnResponseRepresentation`.

*   `gatewayAuthorizationCode` (_string_) Authorization code for the payment gateway.

_Example_

```
{
  "gatewayAuthorizationCode": "gatewayAuthorizationCode"
}
```

### PaymentAuthorizationOutputRepresentation

Payment authorization output representation.

*   `accountId` (_string_) Salesforce account for the payment authorization.
*   `amount` (_number (double)_) Amount that the gateway authorized for the payment transaction.
*   `currencyIsoCode` (_string_) Three-letter ISO 4217 currency code associated with the payment group record.
*   `effectiveDate` (_string_) Date that the authorization becomes effective.
*   `expirationDate` (_string_) Date that the authorization expires.
*   `id` (_string_) ID of the payment authorization record.
*   `paymentAuthorizationNumber` (_string_) System-defined number for the payment authorization record.
*   `requestDate` (_string_) Date that the authorization occurred.
*   `status` (_string_) Status of the payment authorization as returned by the gateway.

_Example_

```
{
  "accountId": "accountId",
  "amount": 0.8008281904610115,
  "requestDate": "requestDate",
  "currencyIsoCode": "currencyIsoCode",
  "id": "id",
  "effectiveDate": "effectiveDate",
  "expirationDate": "expirationDate",
  "paymentAuthorizationNumber": "paymentAuthorizationNumber",
  "status": "status"
}
```

### GatewayLogOutputRepresentation

Gateway log output representation.

*   `createdDate` (_string_) Date indicating when the gateway log was created.
*   `gatewayResultCode` (_string_) The gateway sends result codes to show the status of a transaction as it is passed to the financial institution and then returned to the client.
*   `id` (_string_) ID of the gateway log record.
*   `interactionStatus` (_string_) Gateway interaction status. Current supported values are SUCCESS, FAILED, or TIMEOUT.

_Example_

```
{
  "gatewayResultCode": "gatewayResultCode",
  "createdDate": "createdDate",
  "id": "id",
  "interactionStatus": "interactionStatus"
}
```

### PaymentGroupRepresentation

Payment group output representation.

*   `currencyIsoCode` (_string_) Three-letter ISO 4217 currency code associated with the payment group record.
*   `id` (_string_) ID of the payment group record.
*   `sourceObjectId` (_string_) Source object ID of the payment group record. Supports only OrderId.

_Example_

```
{
  "sourceObjectId": "sourceObjectId",
  "currencyIsoCode": "currencyIsoCode",
  "id": "id"
}
```

### PaymentMethodOutputRepresentation

Payment method response.

*   `accountId` (_string_) Salesforce Payments account to which this payment method is linked.
*   `id` (_string_) ID of the payment method record.
*   `paymentMethodDetails` (_PaymentMethodDetailsRepresentation_)
*   `status` (_string_) Status of the payment method as returned by the payment gateway.

_Example_

```
{
  "accountId": "accountId",
  "paymentMethodDetails": {
    "digitalWallet": {
      "accountId": "accountId",
      "comments": "comments",
      "name": "name",
      "gatewayTokenDetails": "gatewayTokenDetails",
      "gatewayToken": "gatewayToken",
      "paymentMethodType": "Ach",
      "email": "email"
    },
    "alternativePaymentMethod": {
      "accountId": "accountId",
      "comments": "comments",
      "name": "name",
      "gatewayTokenDetails": "gatewayTokenDetails",
      "paymentMethodDetails": "paymentMethodDetails",
      "gatewayToken": "gatewayToken",
      "paymentMethodSubType": "paymentMethodSubType",
      "type": "type",
      "paymentMethodType": "Ach",
      "email": "email"
    },
    "cardPaymentMethod": {
      "autoPay": true,
      "comments": "comments",
      "cardHolderName": "cardHolderName",
      "startMonth": 5,
      "nickName": "nickName",
      "cardType": "cardType",
      "expiryMonth": 6,
      "startYear": 5,
      "cardCategory": "CreditCard",
      "cardHolderLastName": "cardHolderLastName",
      "displayCardNumber": "displayCardNumber",
      "expiryYear": 1,
      "cardLastFour": "cardLastFour",
      "accountId": "accountId",
      "cardBin": "cardBin",
      "cardTypeCategory": "AmericanExpress",
      "paymentMethodDetails": "paymentMethodDetails",
      "paymentMethodSubType": "paymentMethodSubType",
      "paymentMethodType": "Ach",
      "cardHolderFirstName": "cardHolderFirstName",
      "email": "email"
    }
  },
  "id": "id",
  "status": "status"
}
```

### CaptureGatewayResponseRepresentation

Capture Gateway Response representation.

Includes all fields of `AbstractGatewayTxnResponseRepresentation`.

_Example_

```
{}
```

### PaymentOutputRepresentation

Payment output representation.

*   `accountId` (_string_) ID of the account related the payment record.
*   `amount` (_number (double)_) Total amount of the payment transaction performed in the payment request.
*   `currencyIsoCode` (_string_) Three-letter ISO 4217 currency code associated with the payment output.
*   `effectiveDate` (_string_) Effective Date, date from which this payment is effective
*   `id` (_string_) Id of the Payment record
*   `paymentNumber` (_string_) Payment number
*   `requestDate` (_string_) Date on which this payment transaction occurred
*   `status` (_string_) Date that the payment becomes effective.

_Example_

```
{
  "accountId": "accountId",
  "amount": 0.8008281904610115,
  "requestDate": "requestDate",
  "currencyIsoCode": "currencyIsoCode",
  "id": "id",
  "effectiveDate": "effectiveDate",
  "paymentNumber": "paymentNumber",
  "status": "status"
}
```

### AuthReversalGatewayResponseRepresentation

Authorization reversal gateway response representation.

Includes all fields of `AbstractGatewayTxnResponseRepresentation`.

_Example_

```
{}
```

### AuthAdjustmentOutputRepresentation

Authorization adjustment output representation.

*   `accountId` (_string_) ID of the account containing the payment authorization being adjusted.
*   `amount` (_number (double)_) Amount of the payment authorization adjustment.
*   `currencyIsoCode` (_string_) Three-letter ISO 4217 currency code associated with the payment authorization adjustment.
*   `effectiveDate` (_string_) Date when the authorization adjustment becomes effective.
*   `id` (_string_) ID of the PaymentAuthAdjustment record.
*   `paymentAuthAdjustmentNumber` (_string_) System-defined reference number.
*   `requestDate` (_string_) Date when the authorization adjustment transaction occurred.
*   `status` (_string_) Status of the payment authorization adjustment. Status can either be DRAFT: The payment authorization reversal can be edited before applying it against the parent authorization., PROCESSED: The payment authorization reversal has been finalized. or CANCELLED: The payment authorization reversal has been canceled. The parent authorization has returned to its pre-reversal balance. Users can change the status as: Draft to Processed, Processed to Canceled, or Draft to Canceled.

_Example_

```
{
  "accountId": "accountId",
  "amount": 0.8008281904610115,
  "paymentAuthAdjustmentNumber": "paymentAuthAdjustmentNumber",
  "requestDate": "requestDate",
  "currencyIsoCode": "currencyIsoCode",
  "id": "id",
  "effectiveDate": "effectiveDate",
  "status": "status"
}
```

### AddressInputRepresentation

Commerce address input.

*   `city` (_string_) Address city.
*   `companyName` (_string_) Address company name.
*   `country` (_string_) Address country.
*   `postalCode` (_string_) Zip code or postal code for the address.
*   `state` (_string_) Address state.
*   `street` (_string_) Address street.

### CardPaymentMethodInputRepresentation

Card payment method input consumed by the payment gateway.

Includes all fields of `BasePaymentMethodInputRepresentation`.

*   `accountId` (_string_) Required. Salesforce Payments account to which this payment method is linked.
*   `autoPay` (_boolean_) Optional. Indicates whether a token for recurring payments is being requested (true) or not (false). If autoPay is set to true, a SavedPaymentMethod is created, and the generated token can be used for recurring payments.
*   `cardCategory` (_string_) Required. Card processing type.  
    Allowed values: `CreditCard`, `DebitCard`.
*   `cardHolderFirstName` (_string_) Required. First name of the card holder.
*   `cardHolderLastName` (_string_) Required. Last name of the card holder.
*   `cardHolderName` (_string_) Required. Full name of the card holder.
*   `cardNumber` (_string_) Required. Card number.
*   `cardType` (_string_) Required. Card network type.
*   `comments` (_string_) Optional. Optional comments for providing more information about the card.
*   `cvv` (_string_) Required. Card verification value. A unique number on the back of a credit card to authenticate the card.
*   `email` (_string_) Optional. Email address of the card holder.
*   `expiryMonth` (_integer_) Required. Card expiration month.
*   `expiryYear` (_integer_) Required. Card expiration year.
*   `nickName` (_string_) Optional. Nickname for the card.
*   `startMonth` (_integer_) Optional. Month the card becomes active.
*   `startYear` (_integer_) Optional. Year the card becomes active.

### BankPaymentMethodInputRepresentation

Details of the bank's payment method for the payment gateway.

Includes all fields of `BasePaymentMethodInputRepresentation`.

*   `accountId` (_string_, required) Required. Salesforce Payments account ID associated with the bank payment method.
*   `bankType` (_BankType_, required)
*   `accountHolderName` (_string_, required) Required. Name of the account holder.
*   `accountHolderFirstName` (_string_) First name of the account holder.
*   `accountHolderLastName` (_string_) Last name of the account holder.
*   `autoPay` (_boolean_) Indicates whether a token for recurring payments is being requested (true) or not (false). If autoPay is set to true, a SavedPaymentMethod is created, and the generated token can be used for recurring payments.
*   `email` (_string_) Email address of the account holder.
*   `nickName` (_string_) Nick name of the account holder.
*   `comments` (_string_) Additional details about the bank account.
*   `accountHolderType` (_AccountHolder_)
*   `accountNumber` (_string_, required) Required. Unique account number for the bank account.
*   `bankCode` (_string_, required) Required. Routing number is a unique nine-digit code that identifies the bank.
*   `accountType` (_AccountType_)
*   `standardEntryClassCode` (_StandardEntryClassCode_)

### PaymentMethodTokenizationGatewayResponseRepresentation

Represents the response from the payment method tokenization gateway.

Includes all fields of `AbstractGatewayResponseRepresentation`.

*   `gatewayToken` (_string_) Payment method token from the payment gateway.

_Example_

```
{
  "gatewayResultCode": "gatewayResultCode",
  "gatewayResultCodeDescription": "gatewayResultCodeDescription",
  "salesforceResultCode": "salesforceResultCode",
  "gatewayAvsCode": "gatewayAvsCode",
  "gatewayDate": "gatewayDate",
  "gatewayToken": "gatewayToken",
  "gatewayMessage": "gatewayMessage"
}
```

### RefundInputRepresentation

Abstract refund input representation.

Includes all fields of `GatewayCallableBaseInputRepresentation`.

### RefundGatewayResponseRepresentation

Refund gateway response representation.

Includes all fields of `AbstractGatewayTxnResponseRepresentation`.

_Example_

```
{}
```

### RefundOutputRepresentation

Refund output representation.

*   `accountId` (_string_) ID of the account related to the refund record.
*   `amount` (_number (double)_) Total amount of the refund transaction performed in the payment request.
*   `currencyIsoCode` (_string_) Three-letter ISO 4217 currency code associated with the payment group record.
*   `effectiveDate` (_string_) Date that the refund becomes effective.
*   `id` (_string_) ID of the refund record.
*   `refundNumber` (_string_) Number of the refund record that was created as a result of the request processing.
*   `requestDate` (_string_) Date when the refund occurred.
*   `status` (_string_) Indicates the results of processing the refund transaction in the gateway. The status can either be DRAFT, PROCESSED, or CANCELLED.

_Example_

```
{
  "accountId": "accountId",
  "amount": 0.8008281904610115,
  "requestDate": "requestDate",
  "currencyIsoCode": "currencyIsoCode",
  "id": "id",
  "effectiveDate": "effectiveDate",
  "refundNumber": "refundNumber",
  "status": "status"
}
```

### PostAuthApiPaymentMethodInputRepresentation

Payment method input representation for post authorization.

Includes all fields of `BaseApiPaymentMethodInputRepresentation`.

*   `alternativePaymentMethod` (_AlternativePaymentMethodInputRepresentation_)
*   `cardPaymentMethod` (_CardPaymentMethodInputRepresentation_)

### PostAuthGatewayResponseRepresentation

Post authorization payment gateway response.

Includes all fields of `AbstractGatewayTxnResponseRepresentation`.

*   `gatewayAuthorizationCode` (_string_) Code used with the authorization request in the payment gateway.
*   `paymentMethodDetails` (_PaymentMethodDetailsRepresentation_)

_Example_

```
{
  "gatewayAuthorizationCode": "gatewayAuthorizationCode",
  "paymentMethodDetails": {
    "digitalWallet": {
      "accountId": "accountId",
      "comments": "comments",
      "name": "name",
      "gatewayTokenDetails": "gatewayTokenDetails",
      "gatewayToken": "gatewayToken",
      "paymentMethodType": "Ach",
      "email": "email"
    },
    "alternativePaymentMethod": {
      "accountId": "accountId",
      "comments": "comments",
      "name": "name",
      "gatewayTokenDetails": "gatewayTokenDetails",
      "paymentMethodDetails": "paymentMethodDetails",
      "gatewayToken": "gatewayToken",
      "paymentMethodSubType": "paymentMethodSubType",
      "type": "type",
      "paymentMethodType": "Ach",
      "email": "email"
    },
    "cardPaymentMethod": {
      "autoPay": true,
      "comments": "comments",
      "cardHolderName": "cardHolderName",
      "startMonth": 5,
      "nickName": "nickName",
      "cardType": "cardType",
      "expiryMonth": 6,
      "startYear": 5,
      "cardCategory": "CreditCard",
      "cardHolderLastName": "cardHolderLastName",
      "displayCardNumber": "displayCardNumber",
      "expiryYear": 1,
      "cardLastFour": "cardLastFour",
      "accountId": "accountId",
      "cardBin": "cardBin",
      "cardTypeCategory": "AmericanExpress",
      "paymentMethodDetails": "paymentMethodDetails",
      "paymentMethodSubType": "paymentMethodSubType",
      "paymentMethodType": "Ach",
      "cardHolderFirstName": "cardHolderFirstName",
      "email": "email"
    }
  }
}
```

### EnhancedPaymentDataInputRepresentation

Represents enhanced payment data with Level 2 and Level 3 fields. Supported only for third-party payment gateways; not supported for native payments.

*   `additionalAttributes` (_AdditionalAttributesInputRepresentation_)
*   `discountAmount` (_number (double)_) Discount amount.
*   `dutyAmount` (_number (double)_) The total amount charged as duty or import or export tariffs on the transaction.
*   `invoiceNumber` (_string_) Invoice number associated with the transaction.
*   `lineItems` (_LineItemsListInputRepresentation_)
*   `referenceId` (_string_) Customer reference or identifier.
*   `salesTaxAmount` (_number (double)_) Sales tax amount.
*   `shipFromZip` (_string_) Origin postal code.
*   `shipToCountry` (_string_) Destination country code.
*   `shipToZip` (_string_) Destination postal code.
*   `shippingAmount` (_number (double)_) Shipping or freight amount.
*   `taxRate` (_number (double)_) The percentage rate of tax applied to the transaction or line item.
*   `totalTaxAmount` (_number (double)_) Total tax amount for the transaction.

### SaleApiPaymentMethodInputRepresentation

Payment method input consumed by the payment gateway.

Represents a payment method to be used in a payment sale request.

Includes all fields of `BaseApiPaymentMethodInputRepresentation`.

*   `cardPaymentMethod` (_CardPaymentMethodInputRepresentation_)
*   `bankPaymentMethod` (_BankPaymentMethodInputRepresentation_)

### SaleGatewayResponseRepresentation

Contains information about the payment gateway's processing of the payment sale request.

Includes all fields of `AbstractGatewayTxnResponseRepresentation`.

_Example_

```
{}
```

### AuditParamsInputRepresentation

Audit parameters input.

*   `email` (_string_) Optional. Email of the client that initiated the request.
*   `ipAddress` (_string_) Optional. IP address of the client from which the request is made.
*   `macAddress` (_string_) Optional. Mac address of the client from which the request is made.
*   `phone` (_string_) Optional. Phone of the client that initiated the request.

### Application

Application

Type: `any`.

Allowed values: `FSL—Field Service (FSL)`, `RLM—Revenue Lifecycle Management`, `Scheduler—Salesforce Scheduler`, `SCOM—Salesforce Commerce`.

### CustomFieldInputRepresentation

CustomFieldInputRepresentation

Map of custom field names and their corresponding IDs.

*   `asMap` (_object_) Map of custom field names and their corresponding IDs.
    
    Additional properties: `string`.
    

### BaseApiPaymentMethodInputRepresentation

Payment method input consumed by the payment gateway.

*   `address` (_object_) Required. Address of the payment method.
*   `id` (_string_) Required. ID of the payment method record. Used in payment transactions.
*   `saveForFuture` (_boolean_) Optional. Indicates whether to save a record of the payment method for future use (true) or not (false).

### AbstractGatewayTxnResponseRepresentation

Payment gateway response fields used in Sale, Auth and Capture APIs.

Includes all fields of `AbstractGatewayResponseRepresentation`.

*   `gatewayReferenceDetails` (_string_) Gateway reference details.
*   `gatewayReferenceNumber` (_string_) Gateway reference number.

### PaymentMethodDetailsRepresentation

Details about the payment method.

*   `alternativePaymentMethod` (_AlternativePaymentMethodRepresentation_)
*   `cardPaymentMethod` (_CardPaymentMethodRepresentation_)
*   `digitalWallet` (_DigitalWalletRepresentation_)
*   `bankPaymentMethod` (_BankPaymentMethodRepresentation_)

_Example_

```
{
  "digitalWallet": {
    "accountId": "accountId",
    "comments": "comments",
    "name": "name",
    "gatewayTokenDetails": "gatewayTokenDetails",
    "gatewayToken": "gatewayToken",
    "paymentMethodType": "Ach",
    "email": "email"
  },
  "alternativePaymentMethod": {
    "accountId": "accountId",
    "comments": "comments",
    "name": "name",
    "gatewayTokenDetails": "gatewayTokenDetails",
    "paymentMethodDetails": "paymentMethodDetails",
    "gatewayToken": "gatewayToken",
    "paymentMethodSubType": "paymentMethodSubType",
    "type": "type",
    "paymentMethodType": "Ach",
    "email": "email"
  },
  "cardPaymentMethod": {
    "autoPay": true,
    "comments": "comments",
    "cardHolderName": "cardHolderName",
    "startMonth": 5,
    "nickName": "nickName",
    "cardType": "cardType",
    "expiryMonth": 6,
    "startYear": 5,
    "cardCategory": "CreditCard",
    "cardHolderLastName": "cardHolderLastName",
    "displayCardNumber": "displayCardNumber",
    "expiryYear": 1,
    "cardLastFour": "cardLastFour",
    "accountId": "accountId",
    "cardBin": "cardBin",
    "cardTypeCategory": "AmericanExpress",
    "paymentMethodDetails": "paymentMethodDetails",
    "paymentMethodSubType": "paymentMethodSubType",
    "paymentMethodType": "Ach",
    "cardHolderFirstName": "cardHolderFirstName",
    "email": "email"
  }
}
```

### BasePaymentMethodInputRepresentation

Base payment method input consumed by the payment gateway.

### BankType

Bank type

Required. Bank type.

Type: `string`.

Allowed values: `ACH—Automated Clearing House transaction`, `SepaDebit—Single Euro Payments Area transaction`, `BECS—Bulk Electronic Clearing System transaction`, `BACS—Bankers' Automated Clearing Services transaction`.

### AccountHolder

AccountHolder

Account holder type.

Type: `string`.

Allowed values: `Individual`, `Business`.

### AccountType

AccountType

Account type.

Type: `string`.

Allowed values: `Savings`, `Business`.

### StandardEntryClassCode

StandardEntryClassCode

A three-letter code that identifies the type of electronic payment transaction being processed within the Automated Clearing House (ACH) network.

Type: `string`.

Allowed values: `WEB—Internet Initiated/Mobile`, `CCD—Corporate Credit or Debit`, `PPD—Prearranged Payment and Deposit`, `TEL—Telephone-Initiated Entry`.

### AbstractGatewayResponseRepresentation

Payment Gateway Response fields common across some services.

*   `gatewayAvsCode` (_string_) Gateway AVS code.
*   `gatewayDate` (_string_) Gateway date.
*   `gatewayMessage` (_string_) Message returned by the gateway.
*   `gatewayResultCode` (_string_) Gateway result code.
*   `gatewayResultCodeDescription` (_string_) Gateway result code description.
*   `salesforceResultCode` (_string_) Salesforce result code.

### AlternativePaymentMethodInputRepresentation

Alternative payment method input.

Includes all fields of `BasePaymentMethodInputRepresentation`.

*   `accountId` (_string_) Required. Salesforce Payments account to which this payment method is linked.
*   `comments` (_string_) Optional. Details about a record added by a user. Maximum of 1,000 characters.Users can add comments to provide additional details about a record. Maximum of 1000 characters.
*   `email` (_string_) Optional. Email address of the card holder.
*   `gatewayToken` (_string_) Required. A unique, alphanumeric ID, called a token, that a payment gateway generates when it first processes a payment. The token replaces the actual payment data so that the data is kept secure. This token is stored as encrypted text, and can be used for recurring payments.
*   `gatewayTokenDetails` (_string_) Required. Information about the gateway token.
*   `name` (_string_) Optional. Name that you assign to the payment method object.

### AdditionalAttributesInputRepresentation

A map of gateway-specific or custom fields.

*   `asMap` (_object_) Additional data for payment gateway.
    
    Additional properties: `string`.
    

### LineItemsListInputRepresentation

Collection of individual line items associated with the payment.

*   `lineItems` (_array of LineItemInputRepresentation_) Line items.

### AlternativePaymentMethodRepresentation

Alternative payment method details.

*   `accountId` (_string_) Salesforce Payments account to which this payment method is linked.
*   `comments` (_string_) Details about a record added by a user. Maximum of 1,000 characters.
*   `email` (_string_) Email address of the card holder.
*   `gatewayToken` (_string_) A unique, alphanumeric ID, called a token, that a payment gateway generates when it first processes a payment. The token replaces the actual payment data so that the data is kept secure. This token is stored as encrypted text, and can be used for recurring payments.
*   `gatewayTokenDetails` (_string_) Detailed information about the gateway token.
*   `name` (_string_) Name that you assign to the payment method object.
*   `paymentMethodDetails` (_string_) Payment method details.
*   `paymentMethodSubType` (_string_) Payment method sub type.
*   `paymentMethodType` (_PaymentMethodType_)
*   `type` (_string_) Payment method type.

_Example_

```
{
  "accountId": "accountId",
  "comments": "comments",
  "name": "name",
  "gatewayTokenDetails": "gatewayTokenDetails",
  "paymentMethodDetails": "paymentMethodDetails",
  "gatewayToken": "gatewayToken",
  "paymentMethodSubType": "paymentMethodSubType",
  "type": "type",
  "paymentMethodType": "Ach",
  "email": "email"
}
```

### CardPaymentMethodRepresentation

Details about the card payment method.

*   `accountId` (_string_) Salesforce Payments account to which this payment method is linked.
*   `autoPay` (_boolean_) Indicates whether a token for recurring payments is being requested (true) or not (false). If autoPay is set to true, a SavedPaymentMethod is created, and the generated token can be used for recurring payments.
*   `cardBin` (_string_) Bank Identification Number (BIN). The BIN is the first 4-6 numbers on a payment card that identifies the card issuer.
*   `cardCategory` (_string_) Card processing type.  
    Allowed values: `CreditCard`, `DebitCard`.
*   `cardHolderFirstName` (_string_) Card holder first name.
*   `cardHolderLastName` (_string_) Card holder last name.
*   `cardHolderName` (_string_) Card holder name.
*   `cardLastFour` (_string_) Last four digits of the card.
*   `cardType` (_string_) Credit card issuer.
*   `cardTypeCategory` (_CardTypeCategory_)
*   `comments` (_string_) Details about a record added by a user. Maximum of 1,000 characters.
*   `displayCardNumber` (_string_) Displayed card number.
*   `email` (_string_) Email address of the card holder.
*   `expiryMonth` (_integer_) Card expiration month.
*   `expiryYear` (_integer_) Card expiration year.
*   `nickName` (_string_) Nickname for the card.
*   `paymentMethodDetails` (_string_) Payment method details.
*   `paymentMethodSubType` (_string_) Payment method sub type.
*   `paymentMethodType` (_string_) Payment method type.  
    Allowed values: `Ach`, `AfterpayClearpay`, `AmericanExpress`, `ApplePay`, `Bacs`, `BanContact`, `Becs`, `DinersClub`, `Discover`, `Eps`, `GooglePay`, `Ideal`, `Jcb`, `Klarna`, `Maestro`, `Master`, `Other`, `PayPal`, `SepaDebit`, `UnionPay`, `Venmo`, `Visa`.
*   `startMonth` (_integer_) Month the card becomes active.
*   `startYear` (_integer_) Year the card becomes active.

_Example_

```
{
  "autoPay": true,
  "comments": "comments",
  "cardHolderName": "cardHolderName",
  "startMonth": 5,
  "nickName": "nickName",
  "cardType": "cardType",
  "expiryMonth": 6,
  "startYear": 5,
  "cardCategory": "CreditCard",
  "cardHolderLastName": "cardHolderLastName",
  "displayCardNumber": "displayCardNumber",
  "expiryYear": 1,
  "cardLastFour": "cardLastFour",
  "accountId": "accountId",
  "cardBin": "cardBin",
  "cardTypeCategory": "AmericanExpress",
  "paymentMethodDetails": "paymentMethodDetails",
  "paymentMethodSubType": "paymentMethodSubType",
  "paymentMethodType": "Ach",
  "cardHolderFirstName": "cardHolderFirstName",
  "email": "email"
}
```

### DigitalWalletRepresentation

Digital wallet details representation.

*   `accountId` (_string_) Digital wallet account ID.
*   `comments` (_string_) Comments for providing more information about the digital wallet.
*   `email` (_string_) Email address of the digital wallet holder.
*   `gatewayToken` (_string_) A unique, alphanumeric ID, called a token, that a payment gateway generates when it first processes a payment. The token replaces the actual payment data so that the data is kept secure. This token is stored as encrypted text, and can be used for recurring payments.
*   `gatewayTokenDetails` (_string_) Information about the gateway token.
*   `name` (_string_) Name for the digital wallet.
*   `paymentMethodType` (_string_) Payment method type.  
    Allowed values: `Ach`, `AfterpayClearpay`, `AmericanExpress`, `ApplePay`, `Bacs`, `BanContact`, `Becs`, `DinersClub`, `Discover`, `Eps`, `GooglePay`, `Ideal`, `Jcb`, `Klarna`, `Maestro`, `Master`, `Other`, `PayPal`, `SepaDebit`, `UnionPay`, `Venmo`, `Visa`.

_Example_

```
{
  "accountId": "accountId",
  "comments": "comments",
  "name": "name",
  "gatewayTokenDetails": "gatewayTokenDetails",
  "gatewayToken": "gatewayToken",
  "paymentMethodType": "Ach",
  "email": "email"
}
```

### BankPaymentMethodRepresentation

Details of the bank's payment method for the payment gateway.

*   `accountId` (_string_) Salesforce Payments account ID associated with the bank payment method.
*   `bankType` (_BankType_)
*   `autoPay` (_boolean_) Indicates whether a token for recurring payments is being requested (true) or not (false). If autoPay is set to true, a SavedPaymentMethod is created, and the generated token can be used for recurring payments.
*   `email` (_string_) Email address of the account holder.
*   `comments` (_string_) Additional details about the bank account.
*   `accountHolderType` (_AccountHolder_)
*   `accountType` (_AccountType_)
*   `lastFour` (_string_) Account Number last four.
*   `bankCode` (_string_) Routing number is a unique nine-digit code that identifies the bank.
*   `standardEntryClassCode` (_StandardEntryClassCode_)
*   `savedPaymentMethodId` (_string_) Saved payment method id.
*   `bankName` (_string_) Bank name.
*   `name` (_string_) Display name.
*   `gatewayToken` (_string_) Token that represents payment method.
*   `gatewayTokenDetails` (_string_) Details on the payment token.

_Example_

```
{
  "ACH": {
    "accountId": "01xx00000HGJHG",
    "bankType": "ACH",
    "autoPay": false,
    "email": "email@email.com",
    "comments": "comments",
    "accountHolderType": "Individual",
    "accountType": "Savings",
    "lastFour": "4444",
    "bankCode": "21312311123",
    "standardEntryClassCode": "WEB",
    "savedPaymentMethodId": "12qxx000002pmkqAAA",
    "bankName": "ACH Bank",
    "name": "ACH - 4444",
    "gatewayTokenDetails": "gatewayTokenDetails",
    "gatewayToken": "gatewayToken"
  },
  "SEPA": {
    "accountId": "01xx00000HGJHG",
    "bankType": "SepaDebit",
    "autoPay": false,
    "email": "email@email.com",
    "comments": "comments",
    "accountHolderType": "Individual",
    "accountType": "Savings",
    "lastFour": "3201",
    "bankCode": "110000001",
    "standardEntryClassCode": "WEB",
    "savedPaymentMethodId": "12qxx000002pmkqAAA",
    "bankName": "Sepa debit Bank",
    "name": "SepaDebit - SepaDebit",
    "gatewayTokenDetails": "gatewayTokenDetails",
    "gatewayToken": "gatewayToken"
  },
  "BECS": {
    "accountId": "01xx00000HGJHG",
    "bankType": "BECS",
    "autoPay": false,
    "email": "email@email.com",
    "comments": "comments",
    "accountHolderType": "Individual",
    "accountType": "Savings",
    "lastFour": "3456",
    "bankCode": "000000",
    "standardEntryClassCode": "WEB",
    "savedPaymentMethodId": "12qxx000002pmkqAAA",
    "bankName": "BECS Bank",
    "name": "BECS - 3456",
    "gatewayTokenDetails": "gatewayTokenDetails",
    "gatewayToken": "gatewayToken"
  },
  "BACS": {
    "accountId": "01xx00000HGJHG",
    "bankType": "BACS",
    "autoPay": false,
    "email": "email@email.com",
    "comments": "comments",
    "accountHolderType": "Individual",
    "accountType": "Savings",
    "lastFour": "2345",
    "bankCode": "108800",
    "standardEntryClassCode": "WEB",
    "savedPaymentMethodId": "12qxx000002pmkqAAA",
    "bankName": "BACS Bank",
    "name": "BACS - 2345",
    "gatewayTokenDetails": "gatewayTokenDetails",
    "gatewayToken": "gatewayToken"
  }
}
```

### LineItemInputRepresentation

Level 3 line item input representation.

*   `additionalAttributes` (_AdditionalAttributesInputRepresentation_)
*   `commodityCode` (_string_) Commodity code.
*   `description` (_string_) Product description.
*   `discount` (_number (double)_) Discount applied to the line item level.
*   `discountIndicator` (_string_) Specifies whether a discount was applied to the specific line item.
*   `dutyAmount` (_number (double)_) Duty or tariff applied specifically to a item (not the whole order).
*   `grossNetIndicator` (_string_) Specifies if the line item amount is Gross (before discounts) or Net (after discounts).
*   `lineItemId` (_string_) Line item identifier. Specify when multiple items are present.
*   `lineItemTotal` (_number (double)_) Total amount for that line item.
*   `name` (_string_) Product or service name.
*   `quantity` (_integer (int32)_) Quantity purchased.
*   `shippingAmount` (_number (double)_) Shipping or freight cost allocated to that line item.
*   `sku` (_string_) SKU or product code.
*   `taxAmount` (_number (double)_) Line-level tax amount.
*   `taxRate` (_number (double)_) Tax percentage applied to that specific line item.
*   `unitPrice` (_number (double)_) Unit price in minor units.
*   `uom` (_string_) Unit of measure. For example, EA, HRS, and KG.

### PaymentMethodType

PaymentMethodType

Types of the payment methods

Type: `string`.

Allowed values: `Ach`, `AfterpayClearpay`, `AmericanExpress`, `ApplePay`, `Bacs`, `BanContact`, `Becs`, `DinersClub`, `Discover`, `Eps`, `GooglePay`, `Ideal`, `Jcb`, `Klarna`, `Maestro`, `Master`, `Other`, `PayPal`, `SepaDebit`, `UnionPay`, `Venmo`, `Visa`.

### CardTypeCategory

Card type category.

Type: `string`.

Allowed values: `AmericanExpress`, `DinersClub`, `Discover`, `Jcb`, `Maestro`, `MasterCard`, `UnionPay`, `Visa`.

### AdditionalDataInputRepresentation

Wraps a map of additional data.

*   `asMap` (_object_) Additional data object consists of entries, each of which includes a key and value. Supports up to five key-value pairs. Each key and each value can contain up to 255 characters.
    
    Additional properties: `string`.
    

### DigitalWalletInputRepresentation

Digital wallet input representation.

Includes all fields of `BasePaymentMethodInputRepresentation`.

*   `accountId` (_string_) Required. Salesforce Payments account to which this payment method is linked.
*   `comments` (_string_) Optional. Details about a record added by a user. Maximum of 1,000 characters.
*   `email` (_string_) Optional. Email address of the card holder.
*   `gatewayToken` (_string_) Required. Token that represents payment method.
*   `gatewayTokenDetails` (_string_) Required. Details on the payment token like what it represents.
*   `name` (_string_) Optional. Name that you assign to the digital wallet.

### PaymentDataInputRepresentation

Payment data input representation.

*   `asMap` (_object_) Additional payment data.
    
    Additional properties: `string`.
    

### PaymentMethodInputRepresentation

Payment method input consumed by the payment gateway.

*   `address` (_object_) Required. Address of the payment method.
*   `cardPaymentMethod` (_object_) Required. Card details for the payment method.
*   `id` (_string_) Required. ID of the payment method record. Used in payment transactions.
*   `saveForFuture` (_boolean_) Optional. Indicates whether to save a record of the payment method for future use (true) or not (false).

### PostAuthPaymentDataInputRepresentation

Payment data for post auth service input representation.

*   `asMap` (_object_) Additional payment data for all post auth service.
    
    Additional properties: `string`.